---
layout : layouts/base.njk
section : home
title : Home
description: Dev snippets.
date : 2019-12-02
permalink : /index.html
navtitle : Home
tags :
- nav
---
<div class="container content main">

  <% collections.postsLatest.forEach(post => { %>
  <% let firstTag;
    let tagsHTML = '';
     %>
  <% for (const tag of post.data.tags) { %>

  <% if (tag != "posts") { %>
  <% if (typeof firstTag == 'undefined') {
       firstTag = tag; } %>
  <% 
    tagsHTML += `
    <div class = "control">
    <div class = "tags has-addons devicon">
    <div class = "tag ${tag} tag-icon is-light"></div>
    <a   href  = "/tags/${tag}" data-swup-preload class = "tag">
          ${tag}
        </a>
        
      </div>
    </div>
    `; 
%>
  <% }} %>
  <article class="post-item <%- firstTag %>">
    <h1 class="title">
      <a href="<%- post.url %>" data-swup-preload><%- post.data.title %></a>
    </h1>
    <h2 class="sub title">
      <%- post.data.summary -%>
    </h2>

    <article class="media post-summary">
      <div class="media-content">
        <i class="fas fa-quote-right fa-3x is-pulled-left"></i>
        <div class="post-preview">
          <%- post.templateContent %>
        </div>
        <div class="is-pulled-right read-more-btn">
          <a href="<%- post.url %>" class="is-primary tag"
             data-swup-preload>this.readMore();</a>
        </div>
    </article>

    <div class="post-tags">
      <div class="field is-grouped is-grouped-multiline taglist">
        <%- tagsHTML %>
      </div>
    </div>
  </article>
  <% }) %>

</div>